## Pipeline status

[![pipeline status](https://gitlab.com/alvin.h/vuejs-springboot-starter/badges/develop/pipeline.svg)](https://gitlab.com/alvin.h/vuejs-springboot-starter/commits/develop)
[![coverage report](https://gitlab.com/alvin.h/vuejs-springboot-starter/badges/develop/coverage.svg)](https://gitlab.com/alvin.h/vuejs-springboot-starter/commits/develop)
[![Bugs](https://sonarcloud.io/api/project_badges/measure?project=vuejs-springboot-starter&metric=bugs)](https://sonarcloud.io/dashboard?id=vuejs-springboot-starter)
[![Code Smells](https://sonarcloud.io/api/project_badges/measure?project=vuejs-springboot-starter&metric=code_smells)](https://sonarcloud.io/dashboard?id=vuejs-springboot-starter)
[![Coverage](https://sonarcloud.io/api/project_badges/measure?project=vuejs-springboot-starter&metric=coverage)](https://sonarcloud.io/dashboard?id=vuejs-springboot-starter)

## Getting started

Enter the command as follows.

 1. mvn install
 2. npm install
 3. npm start
 4. (Running the main class in the IDE)


## Links 

Development URL : http://localhost:90/hello<br/>
Production URL : http://localhost:80/hello<br/>
Demo URL : http://antop.org:51080/market


## Articles

[Vue.js+스프링부트 개발환경에서 테스트/빌드/배포 자동화하기](https://medium.com/@alvin.h/vue-js-%EC%8A%A4%ED%94%84%EB%A7%81%EB%B6%80%ED%8A%B8-%EA%B0%9C%EB%B0%9C%ED%99%98%EA%B2%BD%EC%97%90%EC%84%9C-%ED%85%8C%EC%8A%A4%ED%8A%B8-%EB%B9%8C%EB%93%9C-%EB%B0%B0%ED%8F%AC-%EC%9E%90%EB%8F%99%ED%99%94%ED%95%98%EA%B8%B0-e6588127c6dd)<br/> 
[웹팩+스프링부트 기반의 프론트엔드 개발환경 구축하기](https://medium.com/@alvin.h/%EC%9B%B9%ED%8C%A9-%EC%8A%A4%ED%94%84%EB%A7%81%EB%B6%80%ED%8A%B8-%EA%B8%B0%EB%B0%98%EC%9D%98-%ED%94%84%EB%A1%A0%ED%8A%B8%EC%97%94%EB%93%9C-%EA%B0%9C%EB%B0%9C-%ED%99%98%EA%B2%BD-%EA%B5%AC%EC%B6%95%ED%95%98%EA%B8%B0-87cd758e1eae)
